Ubuntu

Change log for “mysql-dfsg-5.1” package in Ubuntu

152 of 52 results
Published in lucid-updates on 2014-01-21
Published in lucid-security on 2014-01-21
mysql-dfsg-5.1 (5.1.73-0ubuntu0.10.04.1) lucid-security; urgency=low

  * SECURITY UPDATE: Update to 5.1.73 to fix security issues (LP: #1269993)
    - http://www.oracle.com/technetwork/topics/security/cpujan2014-1972949.html
    - CVE-2013-5908
    - CVE-2014-0386
    - CVE-2014-0393
    - CVE-2014-0401
    - CVE-2014-0402
    - CVE-2014-0412
    - CVE-2014-0437
  * debian/patches/33_scripts__mysql_create_system_tables__no_test.dpatch:
    refreshed patch.
 -- Marc Deslauriers <email address hidden>   Thu, 16 Jan 2014 19:41:38 -0500
Superseded in lucid-updates on 2014-01-21
Superseded in lucid-security on 2014-01-21
mysql-dfsg-5.1 (5.1.72-0ubuntu0.10.04.1) lucid-security; urgency=low

  * SECURITY UPDATE: Update to 5.1.72 to fix security issues (LP: #1243253)
    - http://www.oracle.com/technetwork/topics/security/cpuoct2013-1899837.html
    - CVE-2013-3839
 -- Marc Deslauriers <email address hidden>   Tue, 22 Oct 2013 19:29:40 -0400
Superseded in lucid-updates on 2013-10-24
Superseded in lucid-security on 2013-10-24
mysql-dfsg-5.1 (5.1.70-0ubuntu0.10.04.1) lucid-security; urgency=low

  * SECURITY UPDATE: Update to 5.1.70 to fix security issues (LP: #1203828)
    - http://www.oracle.com/technetwork/topics/security/cpujuly2013-1899826.html
    - CVE-2013-1861
    - CVE-2013-3802
    - CVE-2013-3804
  * SECURITY UPDATE: insecure creation of debian.cnf file
    - debian/mysql-server-5.1.postinst: set umask to 066 before creating
      debian.cnf.
    - CVE-2013-2162
 -- Marc Deslauriers <email address hidden>   Mon, 22 Jul 2013 15:07:29 -0400
Superseded in lucid-updates on 2013-07-25
Superseded in lucid-security on 2013-07-25
mysql-dfsg-5.1 (5.1.69-0ubuntu0.10.04.1) lucid-security; urgency=low

  * SECURITY UPDATE: Update to 5.1.69 to fix security issues (LP: #1170516)
    - http://www.oracle.com/technetwork/topics/security/cpuapr2013-1899555.html
 -- Seth Arnold <email address hidden>   Thu, 18 Apr 2013 17:04:15 -0700
Superseded in lucid-updates on 2013-04-25
Superseded in lucid-security on 2013-04-24
mysql-dfsg-5.1 (5.1.67-0ubuntu0.10.04.1) lucid-security; urgency=low

  * SECURITY UPDATE: Update to 5.1.67 to fix security issues (LP: #1100264)
    - http://www.oracle.com/technetwork/topics/security/cpujan2013-1515902.html
  * debian/patches/99_CVE-2012-5611.dpatch: removed, included upstream.
 -- Marc Deslauriers <email address hidden>   Wed, 16 Jan 2013 19:06:02 -0500
Superseded in lucid-updates on 2013-01-22
Superseded in lucid-security on 2013-01-22
mysql-dfsg-5.1 (5.1.66-0ubuntu0.10.04.3) lucid-security; urgency=low

  * SECURITY UPDATE: arbitrary code execution via long argument
    - debian/patches/99_CVE-2012-5611.patch: don't overflow buffer in
      sql/sql_acl.cc, add tests to mysql-test/t/information_schema.test,
      mysql-test/r/information_schema.result.
    - CVE-2012-5611
 -- Marc Deslauriers <email address hidden>   Fri, 07 Dec 2012 12:14:34 -0500
Deleted in lucid-proposed on 2012-12-10 (Reason: moved to -updates)
mysql-dfsg-5.1 (5.1.66-0ubuntu0.10.04.2) lucid-proposed; urgency=low

  * Alter apparmor profile to allow loading plugins (LP: #617463)
 -- Stefano Rivera <email address hidden>   Tue, 06 Nov 2012 16:16:52 +0200
Superseded in lucid-updates on 2012-12-10
Superseded in lucid-security on 2012-12-10
Deleted in lucid-proposed on 2012-12-11 (Reason: moved to -updates)
mysql-dfsg-5.1 (5.1.66-0ubuntu0.10.04.1) lucid-security; urgency=low

  * SECURITY UPDATE: Update to 5.1.66 to fix security issues (LP: #1068158)
    - http://www.oracle.com/technetwork/topics/security/cpuoct2012-1515893.html
  * debian/mysql-server-5.1.postrm: do not delete local files if main
    conffile still exists since it probably means it is owned by a
    new/different package.  (LP: #986892)
 -- Marc Deslauriers <email address hidden>   Fri, 19 Oct 2012 08:32:19 -0400
Superseded in lucid-updates on 2012-11-05
Superseded in lucid-security on 2012-11-05
mysql-dfsg-5.1 (5.1.63-0ubuntu0.10.04.1) lucid-security; urgency=low

  * SECURITY UPDATE: Update to 5.1.63 to fix security issues (LP: #1011371)
    - http://dev.mysql.com/doc/refman/5.1/en/news-5-1-63.html
 -- Marc Deslauriers <email address hidden>   Mon, 11 Jun 2012 07:27:41 -0400
Superseded in lucid-security on 2012-06-11
Superseded in lucid-updates on 2012-06-11
Deleted in lucid-proposed on 2012-06-13 (Reason: moved to -updates)
mysql-dfsg-5.1 (5.1.62-0ubuntu0.10.04.1) lucid-security; urgency=low

  * SECURITY UPDATE: Update to 5.1.62 to fix security issues (LP: #965523)
    - http://dev.mysql.com/doc/refman/5.1/en/news-5-1-62.html
 -- Marc Deslauriers <email address hidden>   Tue, 27 Mar 2012 17:03:04 -0400
Superseded in lucid-security on 2012-04-24
Superseded in lucid-updates on 2012-04-24
Deleted in lucid-proposed on 2012-04-25 (Reason: moved to -updates)
mysql-dfsg-5.1 (5.1.61-0ubuntu0.10.04.1) lucid-security; urgency=low

  * SECURITY UPDATE: Update to 5.1.61 to fix multiple security issues
    (LP: #937869)
    - http://www.oracle.com/technetwork/topics/security/cpujan2012-366304.html
    - CVE-2011-2262
    - CVE-2012-0075
    - CVE-2012-0112
    - CVE-2012-0113
    - CVE-2012-0114
    - CVE-2012-0115
    - CVE-2012-0116
    - CVE-2012-0117
    - CVE-2012-0118
    - CVE-2012-0119
    - CVE-2012-0120
    - CVE-2012-0484
    - CVE-2012-0485
    - CVE-2012-0486
    - CVE-2012-0487
    - CVE-2012-0488
    - CVE-2012-0489
    - CVE-2012-0490
    - CVE-2012-0491
    - CVE-2012-0492
    - CVE-2012-0493
    - CVE-2012-0494
    - CVE-2012-0495
    - CVE-2012-0496
  * Dropped patches unnecessary with 5.1.61:
    - debian/patches/90_mysql_safer_strmov.dpatch
    - debian/patches/51_ssl_test_certs.dpatch
    - debian/patches/52_CVE-2009-4030.dpatch
    - debian/patches/53_CVE-2009-4484.dpatch
    - debian/patches/54_CVE-2008-7247.dpatch
    - debian/patches/55_CVE-2010-1621.dpatch
    - debian/patches/56_CVE-2010-1850.dpatch
    - debian/patches/57_CVE-2010-1849.dpatch
    - debian/patches/58_CVE-2010-1848.dpatch
    - debian/patches/59_CVE-2010-1626.dpatch
    - debian/patches/60_CVE-2010-2008.dpatch
    - debian/patches/60_CVE-2010-3677.dpatch
    - debian/patches/60_CVE-2010-3678.dpatch
    - debian/patches/60_CVE-2010-3679.dpatch
    - debian/patches/60_CVE-2010-3680.dpatch
    - debian/patches/60_CVE-2010-3681.dpatch
    - debian/patches/60_CVE-2010-3682.dpatch
    - debian/patches/60_CVE-2010-3683.dpatch
    - debian/patches/60_CVE-2010-3833.dpatch
    - debian/patches/60_CVE-2010-3834.dpatch
    - debian/patches/60_CVE-2010-3835.dpatch
    - debian/patches/60_CVE-2010-3836.dpatch
    - debian/patches/60_CVE-2010-3837.dpatch
    - debian/patches/60_CVE-2010-3838.dpatch
    - debian/patches/60_CVE-2010-3839.dpatch
    - debian/patches/60_CVE-2010-3840.dpatch
    - debian/patches/61_disable_longfilename_test.dpatch
    - debian/patches/62_alter_table_fix.dpatch
    - debian/patches/63_cherrypick-upstream-49479.dpatch
    - debian/patches/10_readline_build_fix.dpatch
  * debian/mysql-client-5.1.docs: removed EXCEPTIONS-CLIENT file
  * debian/mysql-server-5.1.docs,debian/libmysqlclient16.docs,
    debian/libmysqlclient-dev.docs: removed, no longer necessary.
 -- Marc Deslauriers <email address hidden>   Wed, 22 Feb 2012 22:33:55 -0500
Superseded in lucid-updates on 2012-03-12
Deleted in lucid-proposed (Reason: moved to -updates)
mysql-dfsg-5.1 (5.1.41-3ubuntu12.10) lucid-proposed; urgency=low

  * debian/patches/63_cherrypick-upstream-49479.dpatch: fixes LOAD DATA
    INFILE when used in replication. (LP: #576949)
 -- Clint Byrum <email address hidden>   Mon, 22 Nov 2010 06:14:16 -0800
Superseded in lucid-updates on 2011-02-25
Deleted in lucid-proposed on 2011-02-26 (Reason: moved to -updates)
mysql-dfsg-5.1 (5.1.41-3ubuntu12.9) lucid-proposed; urgency=low

  * added patch to fix a bug where certain ALTER TABLE queries would
    crash the server (LP: #684398)
    - debian/patches/62_alter_table_fix.dpatch (mysql bug#31145)
 -- Imre Gergely <email address hidden>   Tue, 28 Dec 2010 23:38:54 +0200
Superseded in lucid-updates on 2011-01-26
Deleted in lucid-proposed on 2011-01-27 (Reason: moved to -updates)
mysql-dfsg-5.1 (5.1.41-3ubuntu12.8) lucid-proposed; urgency=low

  * raising kill timeout to 300 to help avoid table corruption (LP: #620441)
 -- Clint Byrum <email address hidden>   Sat, 20 Nov 2010 12:06:00 -0800
Superseded in lucid-updates on 2010-12-09
Superseded in lucid-security on 2012-03-12
mysql-dfsg-5.1 (5.1.41-3ubuntu12.7) lucid-security; urgency=low

  * SECURITY UPDATE: denial of service via UPGRADE DATA DIRECTORY NAME
    command
    - debian/patches/60_CVE-2010-2008.dpatch: correctly filter prefixes
      and paths in sql/table.cc, sql/sql_table.cc, sql/mysql_priv.h.
      Add tests to mysql-test/*.
    - CVE-2010-2008
  * SECURITY UPDATE: denial of service via joins involving a table with a
    unique SET column
    - debian/patches/60_CVE-2010-3677.dpatch: improve logic in
      sql/item_cmpfunc.cc. Add tests to mysql-test/*.
    - CVE-2010-3677
  * SECURITY UPDATE: denial of service via incorrect handling of NULL
    arguments
    - debian/patches/60_CVE-2010-3678.dpatch: make sure items are valid in
      sql/item_cmpfunc.cc. Add tests to mysql-test/*.
    - CVE-2010-3678
  * SECURITY UPDATE: denial of service via malformed argument to the BINLOG
    statement
    - debian/patches/60_CVE-2010-3679.dpatch: check lengths in
      sql/sql_binlog.cc. Add tests to mysql-test/*.
    - CVE-2010-3679
  * SECURITY UPDATE: denial of service via TEMPORARY InnoDB tables with
    nullable columns
    - debian/patches/60_CVE-2010-3680.dpatch: check for null datatype in
      storage/{innobase,innodb_plugin}/handler/ha_innodb.cc. Add tests to
      mysql-test/*.
    - CVE-2010-3680
  * SECURITY UPDATE: denial of service via alternate reads from two indexes
    on a table using the HANDLER interface
    - debian/patches/60_CVE-2010-3681.dpatch: check for the same index in
      sql/sql_handler.cc. Add tests to mysql-test/*.
    - CVE-2010-3681
  * SECURITY UPDATE: denial of service via use of EXPLAIN with certain
    queries
    - debian/patches/60_CVE-2010-3682.dpatch: improve conditional in
      sql/sql_select.cc. Add tests to mysql-test/*.
    - CVE-2010-3682
  * SECURITY UPDATE: denial of service and incorrect error handling in
    LOAD DATA INFILE.
    - debian/patches/60_CVE-2010-3683.dpatch: check for errors in
      sql/sql_load.cc. Don't print error on server in sql/net_serv.cc.
      Add tests to mysql-test/*.
    - CVE-2010-3683
  * SECURITY UPDATE: denial of service via incorrect propagation of type
    errors.
    - debian/patches/60_CVE-2010-3833.dpatch: properly check for execution
      errors in sql/item_func.cc. Add tests to mysql-test/*.
    - CVE-2010-3833
  * SECURITY UPDATE: denial of service via derived table materializing.
    - debian/patches/60_CVE-2010-3834.dpatch: handle temporary tables in
      sql/field.cc, sql/sql_select.*. Add tests to mysql-test/*.
    - CVE-2010-3834
  * SECURITY UPDATE: denial of service via user-variable assignment
    expression.
    - debian/patches/60_CVE-2010-3835.dpatch: fix logic in sql/item_func.*,
      Add tests to mysql-test/*.
    - CVE-2010-3835
  * SECURITY UPDATE: denial of service via pre-evaluation of LIKE
    predicates during view preparation.
    - debian/patches/60_CVE-2010-3836.dpatch: make sure we're not in view
      preparation mode in sql/item_cmpfunc.cc. Add tests to mysql-test/*.
    - CVE-2010-3836
  * SECURITY UPDATE: denial of service via use of GROUP_CONCAT() and
    WITH ROLLUP together.
    - debian/patches/60_CVE-2010-3837.dpatch: create a copy of the order
      structures in sql/item_sum.cc, sql/table.h. Add tests to
      mysql-test/*.
    - CVE-2010-3837
  * SECURITY UPDATE: denial of service via longblob and union or update
    with subquery.
    - debian/patches/60_CVE-2010-3838.dpatch: handle REAL_RESULT in
      sql/item_func.cc. Add tests to mysql-test/*.
    - CVE-2010-3838
  * SECURITY UPDATE: denial of service via certain queries with nested
    joins.
    - debian/patches/60_CVE-2010-3839.dpatch: fix nesting in
      sql/sql_select.cc. Add tests to mysql-test/*.
    - CVE-2010-3839
  * SECURITY UPDATE: denial of service via PolyFromWKB() function and
    improper data.
    - debian/patches/60_CVE-2010-3840.dpatch: improve data handling in
      sql/spatial.cc. Add tests to mysql-test/*.
    - CVE-2010-3840
  * debian/patches/61_disable_longfilename_test.dpatch: disable the
    partition_rename_longfilename test as it fails when building with
    sbuild and schroots.
 -- Marc Deslauriers <email address hidden>   Tue, 09 Nov 2010 13:02:13 -0500
Obsolete in karmic-updates on 2013-03-04
Obsolete in karmic-security on 2013-03-04
mysql-dfsg-5.1 (5.1.37-1ubuntu5.5) karmic-security; urgency=low

  * SECURITY UPDATE: denial of service via UPGRADE DATA DIRECTORY NAME
    command
    - debian/patches/60_CVE-2010-2008.dpatch: correctly filter prefixes
      and paths in sql/table.cc, sql/sql_table.cc, sql/mysql_priv.h.
      Add tests to mysql-test/*.
    - CVE-2010-2008
  * SECURITY UPDATE: denial of service via joins involving a table with a
    unique SET column
    - debian/patches/60_CVE-2010-3677.dpatch: improve logic in
      sql/item_cmpfunc.cc. Add tests to mysql-test/*.
    - CVE-2010-3677
  * SECURITY UPDATE: denial of service via incorrect handling of NULL
    arguments
    - debian/patches/60_CVE-2010-3678.dpatch: make sure items are valid in
      sql/item_cmpfunc.cc. Add tests to mysql-test/*.
    - CVE-2010-3678
  * SECURITY UPDATE: denial of service via malformed argument to the BINLOG
    statement
    - debian/patches/60_CVE-2010-3679.dpatch: check lengths in
      sql/sql_binlog.cc. Add tests to mysql-test/*.
    - CVE-2010-3679
  * SECURITY UPDATE: denial of service via TEMPORARY InnoDB tables with
    nullable columns
    - debian/patches/60_CVE-2010-3680.dpatch: check for null datatype in
      storage/{innobase,innodb_plugin}/handler/ha_innodb.cc. Add tests to
      mysql-test/*.
    - CVE-2010-3680
  * SECURITY UPDATE: denial of service via alternate reads from two indexes
    on a table using the HANDLER interface
    - debian/patches/60_CVE-2010-3681.dpatch: check for the same index in
      sql/sql_handler.cc. Add tests to mysql-test/*.
    - CVE-2010-3681
  * SECURITY UPDATE: denial of service via use of EXPLAIN with certain
    queries
    - debian/patches/60_CVE-2010-3682.dpatch: improve conditional in
      sql/sql_select.cc. Add tests to mysql-test/*.
    - CVE-2010-3682
  * SECURITY UPDATE: denial of service and incorrect error handling in
    LOAD DATA INFILE.
    - debian/patches/60_CVE-2010-3683.dpatch: check for errors in
      sql/sql_load.cc. Don't print error on server in sql/net_serv.cc.
      Add tests to mysql-test/*.
    - CVE-2010-3683
  * SECURITY UPDATE: denial of service via incorrect propagation of type
    errors.
    - debian/patches/60_CVE-2010-3833.dpatch: properly check for execution
      errors in sql/item_func.cc. Add tests to mysql-test/*.
    - CVE-2010-3833
  * SECURITY UPDATE: denial of service via derived table materializing.
    - debian/patches/60_CVE-2010-3834.dpatch: handle temporary tables in
      sql/field.cc, sql/sql_select.*. Add tests to mysql-test/*.
    - CVE-2010-3834
  * SECURITY UPDATE: denial of service via user-variable assignment
    expression.
    - debian/patches/60_CVE-2010-3835.dpatch: fix logic in sql/item_func.*,
      Add tests to mysql-test/*.
    - CVE-2010-3835
  * SECURITY UPDATE: denial of service via pre-evaluation of LIKE
    predicates during view preparation.
    - debian/patches/60_CVE-2010-3836.dpatch: make sure we're not in view
      preparation mode in sql/item_cmpfunc.cc. Add tests to mysql-test/*.
    - CVE-2010-3836
  * SECURITY UPDATE: denial of service via use of GROUP_CONCAT() and
    WITH ROLLUP together.
    - debian/patches/60_CVE-2010-3837.dpatch: create a copy of the order
      structures in sql/item_sum.cc, sql/table.h. Add tests to
      mysql-test/*.
    - CVE-2010-3837
  * SECURITY UPDATE: denial of service via longblob and union or update
    with subquery.
    - debian/patches/60_CVE-2010-3838.dpatch: handle REAL_RESULT in
      sql/item_func.cc. Add tests to mysql-test/*.
    - CVE-2010-3838
  * SECURITY UPDATE: denial of service via certain queries with nested
    joins.
    - debian/patches/60_CVE-2010-3839.dpatch: fix nesting in
      sql/sql_select.cc. Add tests to mysql-test/*.
    - CVE-2010-3839
  * SECURITY UPDATE: denial of service via PolyFromWKB() function and
    improper data.
    - debian/patches/60_CVE-2010-3840.dpatch: improve data handling in
      sql/spatial.cc. Add tests to mysql-test/*.
    - CVE-2010-3840
 -- Marc Deslauriers <email address hidden>   Tue, 09 Nov 2010 08:42:37 -0500
Superseded in lucid-updates on 2010-11-11
Deleted in lucid-proposed on 2010-11-12 (Reason: moved to -updates)
mysql-dfsg-5.1 (5.1.41-3ubuntu12.6) lucid-proposed; urgency=low

  * debian/mysql-server-5.1.mysql.upstart:
    - Insert missing space so that mysqld starts at boot again
    - Sleep between pings to mysqld
    - Immediately return failure if 'exec' fails
    - This fixes (LP: #611101) and (LP: #611102)

Superseded in lucid-proposed on 2010-07-29
mysql-dfsg-5.1 (5.1.41-3ubuntu12.5) lucid-proposed; urgency=low

  * debian/mysql-server-5.1.mysql.upstart: Fix typo. (LP: #608423)

Superseded in lucid-proposed on 2010-07-28
mysql-dfsg-5.1 (5.1.41-3ubuntu12.4) lucid-proposed; urgency=low

  * debian/mysql-server-5.1.mysql.upstart: Don't wait forever to mysql to come up.
    (LP: #551130)
 -- Chuck Short <email address hidden>   Wed, 21 Jul 2010 09:37:04 -0400
Superseded in karmic-updates on 2010-11-11
Superseded in karmic-security on 2010-11-11
mysql-dfsg-5.1 (5.1.37-1ubuntu5.4) karmic-security; urgency=low

  * SECURITY UPDATE: missing privilege check when uninstalling plugins
    - debian/patches/56_CVE-2010-1621.dpatch: check access rights in
      sql/sql_plugin.cc, added tests to mysql-test/*.
    - CVE-2010-1621
  * SECURITY UPDATE: privilege check bypass via crafted table name argument
    to COM_FIELD_LIST
    - debian/patches/59_CVE-2010-1848.dpatch: check for path chars in
      sql/table.cc, sql/sql_yacc.yy, sql/sql_yacc.cc, sql/sql_table.cc,
      sql/sql_parse.cc, sql/partition_info.cc, sql/mysql_priv.h. Add tests
      to tests/mysql_client_test.c and mysql-test/*.
    - CVE-2010-1848
  * SECURITY UPDATE: denial of service via large packets
    - debian/patches/58_CVE-2010-1849.dpatch: handle big packets in
      sql/sql_connect.cc, include/mysql_com.h, sql/net_serv.cc.
    - CVE-2010-1849
  * SECURITY UPDATE: arbitrary code execution via crafted table name
    argument to COM_FIELD_LIST
    - debian/patches/57_CVE-2010-1850.dpatch: check table name length in
      sql/sql_parse.cc.
    - CVE-2010-1850
  * SECURITY UPDATE: DROP TABLE privilege bypass via symlink attack
    - debian/patches/60_CVE-2010-1626.dpatch: check for symlinks in
      storage/myisam/mi_delete_table.c, add tests to mysql-test/*.
    - CVE-2010-1626
 -- Marc Deslauriers <email address hidden>   Wed, 26 May 2010 22:42:40 -0400
Superseded in lucid-updates on 2010-08-02
Superseded in lucid-security on 2010-11-11
mysql-dfsg-5.1 (5.1.41-3ubuntu12.3) lucid-security; urgency=low

  * SECURITY UPDATE: missing privilege check when uninstalling plugins
    - debian/patches/55_CVE-2010-1621.dpatch: check access rights in
      sql/sql_plugin.cc, added tests to mysql-test/*.
    - CVE-2010-1621
  * SECURITY UPDATE: privilege check bypass via crafted table name argument
    to COM_FIELD_LIST
    - debian/patches/58_CVE-2010-1848.dpatch: check for path chars in
      sql/table.cc, sql/sql_yacc.yy, sql/sql_yacc.cc, sql/sql_table.cc,
      sql/sql_parse.cc, sql/partition_info.cc, sql/mysql_priv.h. Add tests
      to tests/mysql_client_test.c and mysql-test/*.
    - CVE-2010-1848
  * SECURITY UPDATE: denial of service via large packets
    - debian/patches/57_CVE-2010-1849.dpatch: handle big packets in
      sql/sql_connect.cc, include/mysql_com.h, sql/net_serv.cc.
    - CVE-2010-1849
  * SECURITY UPDATE: arbitrary code execution via crafted table name
    argument to COM_FIELD_LIST
    - debian/patches/56_CVE-2010-1850.dpatch: check table name length in
      sql/sql_parse.cc.
    - CVE-2010-1850
  * SECURITY UPDATE: DROP TABLE privilege bypass via symlink attack
    - debian/patches/59_CVE-2010-1626.dpatch: check for symlinks in
      storage/myisam/mi_delete_table.c, add tests to mysql-test/*.
    - CVE-2010-1626
 -- Marc Deslauriers <email address hidden>   Mon, 07 Jun 2010 11:00:58 -0400
Deleted in maverick-release on 2010-05-31 (Reason: renamed to mysql-5.1)
mysql-dfsg-5.1 (5.1.43-1ubuntu2) maverick; urgency=low

  [Marc Deslauriers]
  * debian/mysql-server-5.0.preinst: Set mysql user's home directory
    to /nonexistent to protect against having the /var/lib/mysql
    user-writeable. If an attacker can trick mysqld into creating
    dot files in the home directory, he could do .rhost-like attacks
    on the system. (LP: #293258)

  [Chuck Short]
  * debian/mysql-server-5.1.mysql.upstart: Dont wait forever for a ping from
    the mysql server. It might not be configured properly. (LP: #551097)
 -- Chuck Short <email address hidden>   Thu, 20 May 2010 15:35:48 -0400
Superseded in maverick-release on 2010-05-25
mysql-dfsg-5.1 (5.1.43-1ubuntu1) maverick; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - debian/control:
      + Don't provide a libmysqlclient15-dev package as long as there
        are packages still build-depending on libmysqlclient15-dev and
        mysql-dfsg-5.0 is in the archive.
      + Lower mailx from a Recommends to a Suggests to avoid pulling in a
        full MTA on all installs of mysql-server (LP: #259477)
      + Make mysql-server-5.1 depend on mysql-server-core-5.1. (LP: #509667)
    - debian/rules:
    - debian/additions/debian-start.inc.sh: support ANSI mode (LP: #310211)
    - Add AppArmor profile:
      + debian/apparmor-profile: apparmor profile
      + debian/rules, debian/mysql-server-5.1.files: install apparmor profile.
      + debian/mysql-server-5.1.dirs: add etc/apparmor.d/fore-complain
      + debian/mysql-server-5.1.postrm: remove symlink in force-complain/ on purge.
      + debian/mysql-server-5.1.README.Debian: add apparmor documentation.
      + debian/additions/my.cnf: Add warning about apparmor. (LP: #201799)
      + debian/mysql-server-5.1.postinst: reload apparmor profiles
    - debian/additions/my.cfn: remove language options. Error message files are
      located in a different direction in Mysql 5.0. Setting the language option
      to use /usr/share/mysql/english breaks 5.0. Both 5.0 and 5.1 use a
      default value that works. (LP: #316974)
    - mysql-server-core-5.1 package for files needed by Akonadi:
      + debian/control: create mysql-server-core-5.1 package
      + debian/mysql-server-core-5.1.files, debian/mysql-server-5.1.files:
        move core mysqld files to mysql-server-core-5.1 package.
    - debian/libmysqlclient16.symbols.amd64: remove amd64 symbols as it has
      not been correctly generated in Debian.
    - Add Apport hook (LP: #354188):
      + debian/mysql-server-5.1.py: apport package hook
      + debian/mysql-server-5.1.files, debian/rules: install apport package hook
    - debian/addtions/my.cnf:
      + drop old_password option.
      + fix commentened logging options to use general_log and general_log_file.
    - Don't upgrade if there is an ndb management node configured (LP: #413792)
    - Set thread stack size to 192K rather than 128K. 128K is only useful on
      systems with < 64M RAM and causes stack overrides with some SQL commands.
      See http://dev.mysql.com/doc/refman/5.1/en/server-system-varriables.html
      for more details. (LP: #426919)
    - Convert to upstart:
      + Add mysql-server-5.1.mysql.upstart
      + Dropped debian/mysql-server-5.1.mysql.init,
        debian/additions/mysqld_safe_syslog.cnf
      + debian/additions/my.cnf:
        * Removed pid declaration
        * Set up error logging to /var/log/mysql since we're not piping anything
          around logger anymore.
      + Remove references to mysqld_safe in these files:
        * debian/rules, mysql-server-5.1.logcheck.ignore.paranoid
          mysql-server-5.1.logcheck.ignore.workstation,
          mysql-server-5.1.logcheck.ignore.server
      + debian/mysql-server-5.1.postinst:
        * Replace calls to /etc/init.d with regular upstart calls
        * Remove reference to mysqld_safe
      + Dropped debian/patches/38_scripts_mysqld_safe.sh_signals.dpatch
      + Load apparmor when loading upstart.
     - debian/mysql-server-5.1.mysql-server.logrotate: Check to see if mysql is running before
       running logrotate. (LP: #513135)
     - Make the testsuite installable. (LP: #530752)
     - debian/control: Use database for the package section (LP: #498939).
     - debian/mysql-server-5.1.templates: fix MySQL Cluster package name to
     - Move mysql_install_db and required .sql files from the server package to the
       server-core package.
     - Dropped:
       + debian/patches/90_mysql_safer_strmov: Merged upstream.
       + debian/patches/52_CVE-2009-4030.dpatch: Merged usptream.
       + debian/patches/53_CVE-2009-4484.dpatch: Merged upstream.
       + debian/patches/54_CVE-2008-7247.dpatch: Merged upstream.

Superseded in lucid-updates on 2010-06-09
Superseded in maverick-release on 2010-05-20
Deleted in lucid-proposed on 2010-06-10 (Reason: moved to -updates)
mysql-dfsg-5.1 (5.1.41-3ubuntu12.1) lucid-proposed; urgency=low

  * debian/mysql-server-5.1.mysql.upstart: load AppArmor profile since
    mysql can start before AppArmor now (LP: #573206).
 -- Kees Cook <email address hidden>   Sat, 01 May 2010 12:06:10 -0700
Superseded in maverick-release on 2010-05-18
Published in lucid-release on 2010-04-13
mysql-dfsg-5.1 (5.1.41-3ubuntu12) lucid; urgency=low

  * Also move usr/bin/mysql_upgrade to the core package, as addition to the
    previous upload.
  * Add new mysql-client-core-5.1 package
    + Move mysqlcheck and mysql from mysql-client-5.1 to te new package
 -- Harald Sitter <email address hidden>   Mon, 12 Apr 2010 14:44:17 +0200
Superseded in lucid-release on 2010-04-13
mysql-dfsg-5.1 (5.1.41-3ubuntu11) lucid; urgency=low

  * Move mysql_install_db and required .sql files from the server package
    to the server-core package. Akonadi now executes aforementioned script
    to ensure the mysql system tables are available and mysqld does not cry
    about them (LP: #448705).
    resolveip was *not* moved. The install_db script gets executed using --force
  * server-core replaces << this version of server
 -- Harald Sitter <email address hidden>   Thu, 01 Apr 2010 13:53:28 +0200
Superseded in lucid-release on 2010-04-01
mysql-dfsg-5.1 (5.1.41-3ubuntu10) lucid; urgency=low

  [ Mathias Gug ]
  * Ship mysqld_safe script (LP: #552053).
  * debian/control: Use database for the package section (LP: #498939).
  * debian/mysql-server-5.1.templates: fix MySQL Cluster package name to
    mention mysql-cluster-server (LP: #394515).
  * debian/mysql-common.preinst: delete skip-bdb option if upgrading from 5.0
    since 5.1 fails to start if skip-bdb is in the configuration file.
    (LP: #444349).

  [ Steve Langasek ]
  * un-fuzzy the translations, which were only fuzzied due to a changed
    package name.
 -- Steve Langasek <email address hidden>   Wed, 31 Mar 2010 20:27:39 -0700
Superseded in lucid-release on 2010-04-01
mysql-dfsg-5.1 (5.1.41-3ubuntu9) lucid; urgency=low

  * debian/{control, rules, mysql-testsuite.*}: Fix up testsuite package.
 -- Chuck Short <email address hidden>   Thu, 25 Mar 2010 09:08:05 -0400

Available diffs

Superseded in lucid-release on 2010-03-25
mysql-dfsg-5.1 (5.1.41-3ubuntu8) lucid; urgency=low

  * debian/control: Add replaces mysql-server-5.0 for mysql-server-core-5.1 (LP: #537470)
  * debian/mysql-server-5.1.mysql-server.logrotate: Check to see if mysql is running before
    running logrotate. (LP: #513135)
  * Make the testsuite installable. (LP: #530752)
 -- Chuck Short <email address hidden>   Wed, 24 Mar 2010 08:43:02 -0400
Superseded in lucid-release on 2010-03-24
mysql-dfsg-5.1 (5.1.41-3ubuntu7) lucid; urgency=low

  * SECURITY UPDATE: privilege restriction bypass via incorrect calculation
    of the mysql_unpacked_real_data_home value
    - debian/patches/52_CVE-2009-4030.dpatch: fix initialization order in
      sql/mysqld.cc.
    - CVE-2009-4030
  * SECURITY UPDATE: arbitrary code execution via yassl stack overflow
    - debian/patches/53_CVE-2009-4484.dpatch: validate lengths in
      extra/yassl/taocrypt/src/asn.*.
    - CVE-2009-4484
  * SECURITY UPDATE: access restriction bypass via symlink
    - debian/patches/54_CVE-2008-7247.dpatch: improve symlink handling in
      sql/sql_table.cc.
    - CVE-2008-7247
 -- Marc Deslauriers <email address hidden>   Mon, 22 Feb 2010 16:29:37 -0500
Superseded in lucid-release on 2010-02-23
mysql-dfsg-5.1 (5.1.41-3ubuntu6) lucid; urgency=low

  * debian/apparmor-profile: Upate apparmor profile. Get rid of annoying warning
    when starting mysql. (LP: #444479)
 -- Chuck Short <email address hidden>   Thu, 18 Feb 2010 13:54:43 -0500

Available diffs

Superseded in lucid-release on 2010-02-18
mysql-dfsg-5.1 (5.1.41-3ubuntu5) lucid; urgency=low

  * No-change rebuild to clean up after the mysql-cluster-7.0 accident.
    LP: #522225.
 -- Steve Langasek <email address hidden>   Thu, 18 Feb 2010 11:04:35 +0000

Available diffs

Superseded in karmic-updates on 2010-06-09
Superseded in karmic-security on 2010-06-09
mysql-dfsg-5.1 (5.1.37-1ubuntu5.1) karmic-security; urgency=low

  * SECURITY UPDATE: denial of service via certain SELECT statements with
    subqueries and statements that use the GeomFromWKB function
    - debian/patches/51_CVE-2009-4019.dpatch: return proper errors in
      sql/sql_class.cc, handle errors in sql/sql_select.cc, set correct
      null_value in sql/item_geofunc.cc, add tests to mysql-test/*.
    - CVE-2009-4019
  * SECURITY UPDATE: privilege restriction bypass via incorrect calculation
    of the mysql_unpacked_real_data_home value
    - debian/patches/52_CVE-2009-4030.dpatch: fix initialization order in
      sql/mysqld.cc.
    - CVE-2009-4030
  * SECURITY UPDATE: arbitrary code execution via yassl stack overflow
    - debian/patches/53_CVE-2009-4484.dpatch: validate lengths in
      extra/yassl/taocrypt/src/asn.*.
    - CVE-2009-4484
  * SECURITY UPDATE: access restriction bypass via symlink
    - debian/patches/54_CVE-2008-7247.dpatch: improve symlink handling in
      sql/sql_table.cc.
    - CVE-2008-7247
  * debian/patches/55_ssl_test_certs.dpatch: update certificates in the
    test suite as they are expired. The new certs expire 2015-01-28.
 -- Marc Deslauriers <email address hidden>   Sun, 07 Feb 2010 23:32:37 -0500
Superseded in lucid-release on 2010-02-18
mysql-dfsg-5.1 (5.1.41-3ubuntu4) lucid; urgency=low

  * debian/patches/51_ssl_test_certs.dpatch: update certificates in the
    test suite as they are expired. The new certs expire 2015-01-28.
  * debian/patches/11_disable_ssl_tests.dpatch: removed to re-enable ssl
    tests.
 -- Marc Deslauriers <email address hidden>   Thu, 04 Feb 2010 15:03:21 -0800
Superseded in lucid-release on 2010-02-05
mysql-dfsg-5.1 (5.1.41-3ubuntu3) lucid; urgency=low

  * 11_disable_ssl_tests.dpatch:
    - Disable the SSL tests, because the included SSL certs have
      expired.
  * 90_mysql_safer_strmov.dpatch:
    - Patch from upstream to use an overlap safe version of strmov.
      Should fix the failing test suite.
 -- Soren Hansen <email address hidden>   Thu, 04 Feb 2010 14:08:53 -0800
Superseded in lucid-release on 2010-02-04
mysql-dfsg-5.1 (5.1.41-3ubuntu2) lucid; urgency=low

  * debian/control: Make mysql-server-5.1 depend on mysql-server-core-5.1. (LP: #509667)
 -- Chuck Short <email address hidden>   Tue, 19 Jan 2010 11:40:57 -0500

Available diffs

Superseded in lucid-release on 2010-01-19
mysql-dfsg-5.1 (5.1.41-3ubuntu1) lucid; urgency=low

  * Merge from debian testing.  Remaining changes:
    - debian/control:
      + Don't provide a libmysqlclient15-dev package as long as there
        are packages still build-depending on libmysqlclient15-dev and
        mysql-dfsg-5.0 is in the archive.
      + Lower mailx from a Recommends to a Suggests to avoid pulling in a
        full MTA on all installs of mysql-server (LP: #259477)
    - debian/rules:
      + added -fno-strict-aliasing to CFLAGS to get around mysql testsuite
        build failures.
    - debian/additions/debian-start.inc.sh: support ANSI mode (LP: #310211)
    - Add AppArmor profile:
      + debian/apparmor-profile: apparmor profile
      + debian/rules, debian/mysql-server-5.1.files: install apparmor profile.
      + debian/mysql-server-5.1.dirs: add etc/apparmor.d/fore-complain
      + debian/mysql-server-5.1.postrm: remove symlink in force-complain/ on
        purge.
      + debian/mysql-server-5.1.README.Debian: add apparmor documentation.
      + debian/additions/my.cnf: Add warning about apparmor. (LP: #201799)
      + debian/mysql-esrver-5.1.postinst: reload apparmor profiles
    - debian/additions/my.cfn: remove language options. Error message files are
      located in a different direction in Mysql 5.0. Setting the language option
      to use /usr/share/mysql/english breaks 5.0. Both 5.0 and 5.1 use a
      default value that works. (LP: #316974)
    - debian/mysql-server-5.1.postinst: Clear out the second password when
      setting up mysql. (LP: #344816)
    - mysql-server-core-5.1 package for files needed by Akonadi:
      + debian/control: create mysql-server-core-5.1 package
      + debian/mysql-server-core-5.1.files, debian/mysql-server-5.1.files:
        move core mysqld files to mysql-server-core-5.1 package.
    - debian/libmysqlclient16.symbols.amd64: remove amd64 symbols as it has
      not been correcly generated in Debian.
    - Add Apport hook: (LP: #354188):
      + debian/mysql-server-5.1.py: apport package hook
      + debian/mysql-server-5.1.files, debian/rules: install apport package hook
    - debian/addtions/my.cnf:
      + drop old_password option.
      + fix commentened logging options to use general_log and general_log_file.
    - Don't upgrade if there is an ndb management node configured (LP: #413792)
    - Set thread stack size to 192K rather than 128K. 128K is only useful on
      systems with < 64M RAM and causes stack overrides with some SQL commands.
      See http://dev.mysql.com/doc/refman/5.1/en/server-system-varriables.html
      for more details. (LP: #426919)
    - Convert to upstart:
      + Add mysql-server-5.1.mysql.upstart
      + Dropped debian/mysql-server-5.1.mysql.init,
        debian/additions/mysqld_safe_syslog.cnf
      + debian/additions/my.cnf:
        * Removed pid declaration
        * Set up error logging to /var/log/mysql since we're not piping anything
          around logger anymore
      + Remove references to mysqld_safe in these files:
        * debian/rules, mysql-server-5.1.logcheck.ignore.paranoid
          mysql-server-5.1.logcheck.ignore.workstation,
          mysql-server-5.1.logcheck.ignore.server
      + debian/mysql-server-5.1.postinst:
        * Replace calls to /etc/init.d with regular upstart calls
        * Remove reference to mysqld_safe
      + Dropped debian/patches/38_scripts_mysqld_safe.sh_signals.dpatch:
    - Dropped already merged upstream:
      + debian/{control,rules}: add and enable hardening build for PIE.

Superseded in lucid-release on 2010-01-17
mysql-dfsg-5.1 (5.1.37-1ubuntu7) lucid; urgency=low

  * Add in the respawn clause to the upstart script.
    Wasn't that the whole point of moving away from mysqld_safe? :)
 -- Mario Limonciello <email address hidden>   Sun, 29 Nov 2009 16:30:15 -0600

Available diffs

Superseded in lucid-release on 2009-11-29
mysql-dfsg-5.1 (5.1.37-1ubuntu6) lucid; urgency=low

  * Convert the package from using sysvinit to upstart
    - Add mysql-server-5.1.mysql.upstart
  * debian/mysql-server-5.1.mysql.init:
    - Drop, unused now with upstart.
  * debian/additions/mysqld_safe_syslog.cnf:
    - Drop, not necessary
  * debian/additions/my.cnf:
    - Remove pid declaration
    - Set up error logging to /var/log/mysql since we're not piping
      anything around logger anymore.
  * Remove references to mysqld_safe in these files:
    - debian/rules
    - mysql-server-5.1.logcheck.ignore.paranoid
    - mysql-server-5.1.logcheck.ignore.workstation
    - debian/mysql-server-5.1.logcheck.ignore.server
  * debian/mysql-server-5.1.postinst:
    - Replace calls to /etc/init.d/ with regular upstart calls
    - Remove reference to mysqld_safe.
  * debian/patches/38_scripts__mysqld_safe.sh__signals.dpatch:
    - Drop, irrelevant since we don't use mysqld_safe anymore.
 -- Mario Limonciello <email address hidden>   Sun, 29 Nov 2009 13:01:43 -0600
Superseded in lucid-release on 2009-11-29
Obsolete in karmic-release on 2013-03-04
mysql-dfsg-5.1 (5.1.37-1ubuntu5) karmic; urgency=low

  * additions/my.cnf:
    - Set thread_stack size to 192K rather than 128K.  128K is only useful on
      systems with < 64M RAM and causes stack overrides with some SQL commands
      See http://dev.mysql.com/doc/refman/5.1/en/server-system-variables.html
      for more details.
      (LP: #426919)

 -- Mario Limonciello <email address hidden>   Wed, 07 Oct 2009 09:11:48 -0500

Available diffs

Superseded in karmic-release on 2009-10-07
mysql-dfsg-5.1 (5.1.37-1ubuntu4) karmic; urgency=low

  [ Brian Murray ]
  * install apport hook for the source package rather than mysql-server-5.1
    binary package (LP: #420805).

  [ Mathias Gug ]
  * Make mysql-server-core-5.1 provide mysql-server-core. (LP: #418342)
  * Don't upgrade if there is an ndb management node configured.
    (LP: #413792).

 -- Mathias Gug <email address hidden>   Mon, 07 Sep 2009 20:14:59 -0400
Superseded in karmic-release on 2009-09-08
mysql-dfsg-5.1 (5.1.37-1ubuntu3) karmic; urgency=low

  * debian/patches/38_scripts__mysqld_safe.sh__signals.dpatch: wait in the
    SIGHUP trap to avoid killing an existing mysqld process when a HUP signal
    is sent to mysqld_safe.  Based on Mathias Gug's fix from 5.0 series.
    (LP: #418396)

 -- Dave Walker (Daviey) <email address hidden>   Thu, 03 Sep 2009 23:44:16 +0100

Available diffs

Superseded in karmic-release on 2009-09-04
mysql-dfsg-5.1 (5.1.37-1ubuntu2) karmic; urgency=low

  * debian/{control,rules}: add and enable hardened build for PIE
    (Debian bug 542746).

 -- Kees Cook <email address hidden>   Mon, 24 Aug 2009 08:59:41 -0700

Available diffs

Superseded in karmic-release on 2009-08-24
Superseded in karmic-release on 2009-08-17
mysql-dfsg-5.1 (5.1.37-1ubuntu1) karmic; urgency=low

  [ Mathias Gug ]
  * Merge from debian unstable and 5.0, remaining changes:
    - debian/control:
      + Properly upgrade libmysqlclient16-dev packages to
      libmysqlclient-dev:
        * Make libmysqlclient16-dev a transitional package depending on
          libmysqlclient-dev.
        * Make libmysqlclient-dev replace libmysqlclient16-dev.
      + Don't provide a libmysqlclient15-dev package as long as there are
        packages still build-depending on libmysqlclient15-dev and
        mysql-dsfg-5.0 is in the archive.
      + Lower mailx from a Recommends to a Suggests to avoid pulling in
        a full MTA on all installs of mysql-server. (LP: #259477)
    - debian/rules:
      + added -fno-strict-aliasing to CFLAGS to get around mysql testsuite
        build failures.
    - debian/additions/debian-start.inc.sh: support ANSI mode (LP: #310211)
    - Add AppArmor profile:
      - debian/apparmor-profile: apparmor profile.
      - debian/rules, debian/mysql-server-5.1.files: install apparmor profile.
      - debian/mysql-server-5.1.dirs: add etc/apparmor.d/force-complain
      - debian/mysql-server-5.1.postrm: remove symlink in force-complain/ on
        purge.
      - debian/mysql-server-5.1.README.Debian: add apparmor documentation.
      - debian/additions/my.cnf: Add warning about apparmor. (LP: #201799)
      - debian/mysql-server-5.1.postinst: reload apparmor profiles.
    - debian/additions/my.cnf: remove language option. Error message files are
      located in a different directory in MySQL 5.0. Setting the language
      option to use /usr/share/mysql/english breaks 5.0. Both 5.0 and 5.1
      use a default value that works. (LP: #316974)
    - debian/mysql-server-5.1.mysql.init:
      + Clearly indicate that we do not support running multiple instances
        of mysqld by duplicating the init script.
        (closes: #314785, #324834, #435165, #444216)
      + Properly parameterize all existing references to the mysql config
        file (/etc/mysql/my.cnf).
    - debian/mysql-server-5.1.postinst: Clear out the second password
      when setting up mysql. (LP: #344816)
    - mysql-server-core-5.1 package for files needed by Akonadi:
      + debian/control: create mysql-server-core-5.1 package.
      + debian/mysql-server-core-5.1.files, debian/mysql-server-5.1.files:
        move core mysqld files to mysql-server-core-5.1 package.
  * debian/libmysqlclient16.symbols.amd64: remove amd64 symbols as it has
    not been correctly generated in Debian.
  * Add Apport hook: (LP: #354188)
    - debian/mysql-server-5.1.py: apport package hook.
    - debian/mysql-server-5.1.files, debian/rules: install apport package
      hook.
  * debian/additions/my.cnf:
    - drop old_password option.
    - fix commented logging options to use general_log and general_log_file.
  * Dropped - accepted in Debian:
    - debian/mysql-server-5.1.config:
      + ask for MySQL root password at priority high instead of medium so
        that the password prompt is seen on a default install. (LP: #319843)
      + don't ask for root password when upgrading from a 5.0 install.

Superseded in karmic-release on 2009-08-14
mysql-dfsg-5.1 (5.1.34-1ubuntu1) karmic; urgency=low

  * Merge from debian experimental (and 5.0 from main), remaining changes:
    - debian/mysql-server-5.1.config:
      + ask for MySQL root password at priority high instead of medium so
        that the password prompt is seen on a default install. (LP: #319843)
      + don't ask for root password when upgrading from a 5.0 install.
    - debian/control:
      + Make libmysqlclient16-dev a transitional package depending on
        libmysqlclient-dev.
      + Make libmysqlclient-dev conflict with libmysqlclient15-dev.
      + Don't build mysql-server, mysql-client, mysql-common and
        libmysqlclient15-dev binary packages since they're still provided
        by mysql-dfsg-5.0.
      + Make mysql-{client,server}-5.1 packages conflict and
        replace mysql-{client,server}-5.0, but not provide
        mysql-{client,server}.
      + Depend on a specific version of mysql-common rather than the src
        version of mysql-dfsg-5.1 since mysql-common is currently part of
        mysql-dfsg-5.0.
      + Lower mailx from a Recommends to a Suggests to avoid pulling in
        a full MTA on all installs of mysql-server. (LP: #259477)
    - debian/rules:
      + added -fno-strict-aliasing to CFLAGS to get around mysql testsuite
        build failures.
      + install mysql-test and sql-bench to /usr/share/mysql/ rather than
        /usr/.
    - debian/additions/debian-start.inc.sh: support ANSI mode (LP: #310211)
    - Add AppArmor profile:
      - debian/apparmor-profile: apparmor profile.
      - debian/rules, debian/mysql-server-5.0.files: install apparmor profile.
      - debian/mysql-server-5.0.dirs: add etc/apparmor.d/force-complain
      - debian/mysql-server-5.0.postrm: remove symlink in force-complain/ on
        purge.
      - debian/mysql-server-5.1.README.Debian: add apparmor documentation.
      - debian/additions/my.cnf: Add warning about apparmor. (LP: #201799)
      - debian/mysql-server-5.1.postinst: reload apparmor profiles.
    - debian/additions/my.cnf: remove language option. Error message files are
      located in a different directory in MySQL 5.0. Setting the language
      option to use /usr/share/mysql/english breaks 5.0. Both 5.0 and 5.1
      use a default value that works. (LP: #316974)
    - debian/mysql-server-5.1.mysql.init:
      + Clearly indicate that we do not support running multiple instances
        of mysqld by duplicating the init script.
        (closes: #314785, #324834, #435165, #444216)
      + Properly parameterize all existing references to the mysql config
        file (/etc/mysql/my.cnf).
    - debian/mysql-server-5.0.postinst: Clear out the second password
      when setting up mysql. (LP: #344816)
    - mysql-server-core-5.1 package for files needed by Akonadi:
      + debian/control: create mysql-server-core-5.1 package.
      + debian/mysql-server-core-5.1.files, debian/mysql-server-5.1.files:
        move core mysqld files to mysql-server-core-5.1 package.
    - Don't package sql-bench and mysql-test file.
  * Dropped changes:
    - debian/patches/92_ssl_test_cert.dpatch: certificate expiration in
      test suite (LP: #323755). Included upstream.
  * Dropped from 5.0:
    - apparmor profile:
      - debian/control: Recommends apparmor >= 2.1+1075-0ubuntu6. All version
        of apparmor-profile (>hardy) are higher than this version.
      - debian/mysql-server-5.0.preinst: create symlink for force-complain/
        on pre-feisty upgrades, upgrades where apparmor-profiles profile is
        unchanged (ie non-enforcing) and upgrades where the profile
        doesn't exist. Support for pre-hardy upgrades is no longer needed.
  * debian/mysql-server-5.1.postinst: fix debian-sys-maint user creation.

Superseded in karmic-release on 2009-06-25
Obsolete in jaunty-release on 2013-02-28
mysql-dfsg-5.1 (5.1.31-1ubuntu2) jaunty; urgency=low

  * Support upgrades from 5.0 to 5.1: (LP: #319848).
    - debian/mysql-server-5.1.config: don't ask for root password when
      upgrading from a 5.0 install.
    - debian/control: mysql-server-5.1 conflicts and replaces
      mysql-server-core-5.0.

 -- Mathias Gug <email address hidden>   Mon, 02 Mar 2009 19:21:27 -0500
Superseded in jaunty-release on 2009-03-03
mysql-dfsg-5.1 (5.1.31-1ubuntu1) jaunty; urgency=low

  * Merge from debian experimental, remaining changes:
    - debian/mysql-server-5.1.config: ask for MySQL root password at priority
      high instead of medium so that the password prompt is seen on a default
      install. (LP: #319843)
    - debian/control:
      + Don't build mysql-server, mysql-client, mysql-common and
        libmysqlclient15-dev binary packages since they're still provided
        by mysql-dfsg-5.0.
      + Rename libmysqlclient-dev package to libmysqlclient16-dev (LP: #316280).
        Make it conflict with libmysqlclient15-dev.
      + Make mysql-{client,server}-5.1 packages conflict and
        replace mysql-{client,server}-5.0, but not provide
        mysql-{client,server}.
      + Depend on a specific version of mysql-common rather than the src
        version of mysql-dfsg-5.1 since mysql-common is currently part of
        mysql-dfsg-5.0.
    - debian/rules: added -fno-strict-aliasing to CFLAGS to get
      around mysql testsuite build failures.
  * debian/patches/92_ssl_test_cert.dpatch: certificate expiration in
    test suite (LP: #323755).
  * Dropped changes:
    - all of the changes made to support both 5.0 and 5.1 installed at the
      same time have been dropped now that amarok doesn't depend on
      mysql-server-5.1 anymore.

Available diffs

Superseded in jaunty-release on 2009-02-10
Superseded in jaunty-release on 2009-02-02
Superseded in jaunty-release on 2009-02-02
mysql-dfsg-5.1 (5.1.30-2ubuntu5) jaunty; urgency=low

  * debian/patches/42_scripts__mysql_install_db.sh__share_dir.dpatch: make
    mysql_install_db lookup in the correct directory the sql files needed to
    create a new database.
  * debian/mysql-server-5.1.config: ask for MySQL root password at priority
    high instead of medium so that the password prompt is seen on a default
    install. (LP: #319843)

 -- Mathias Gug <email address hidden>   Thu, 29 Jan 2009 13:50:49 -0500
Superseded in jaunty-release on 2009-01-29
mysql-dfsg-5.1 (5.1.30-2ubuntu4) jaunty; urgency=low

  [ Jonathan Riddell ]
  * Move data files to /usr/share/mysql-5.1 with
    --datadir=/usr/share/mysql-5.1 to make them co-installable with mysql 5.0
  * Update debian/rules for the above change
  * Split out /usr/share/mysql-5.1 into new mysql-server-data-5.1 package.
    These files are needed for embedded use of mysql (e.g. by Amarok).
  * Make mysql-server-5.1 conflict on mysql-server-core-5.0 (LP: #321185)

  [ Harald Sitter ]
  * Update all remaining references of usr/share/mysql/
  * Conflicts for the Kubuntu Intrepid deployment (subject for upgrade testing):
    + libmysqlclient16 replaces & conflicts amarok-libmysqlclient16
    + libmysqlclient16.dev replaces & conflicts amarok-libmysqlclient-dev
    + mysql-data-5.1 replaces & conflicts amarok-mysql-data
  * Link /usr/share/mysql-5.1/aclocal/mysql.m4 to /usr/share/aclocal/

 -- Harald Sitter <email address hidden>   Tue, 20 Jan 2009 15:43:46 +0100
Superseded in jaunty-release on 2009-01-25
mysql-dfsg-5.1 (5.1.30-2ubuntu3) jaunty; urgency=low

  * Change file names on the following files:
    + libmysqlclient-dev.dirs to libmysqlclient16-dev.dirs
    + libmysqlclient-dev.docs to libmysqlclient16-dev.docs
    + libmysqlclient-dev.examples to libmysqlclient16-dev.examples
    + libmysqlclient-dev.files to libmysqlclient16-dev.files
    + libmysqlclient-dev.links to libmysqlclient16-dev.links
    + libmysqlclient-dev.README.Maintainer to
      libmysqlclient16-dev.README.Maintainer

 -- Steve Stalcup <email address hidden>   Wed, 14 Jan 2009 13:19:17 -0500

Available diffs

Superseded in jaunty-release on 2009-01-14
mysql-dfsg-5.1 (5.1.30-2ubuntu2) jaunty; urgency=low

  * debian/control:
    + Don't build mysql-server, mysql-client, mysql-common and
      libmysqlclient15-dev binary packages since they're still provided
      by mysql-dfsg-5.0.
    + Rename libmysqlclient-dev package to libmysqlclient16-dev (LP: #316280).
      Make it conflict with libmysqlclient15-dev.

 -- Mathias Gug <email address hidden>   Tue, 13 Jan 2009 13:34:50 -0500
Superseded in jaunty-release on 2009-01-13
mysql-dfsg-5.1 (5.1.30-2ubuntu1) jaunty; urgency=low

  * debian/rules: added -fno-strict-aliasing to CFLAGS to get
    around mysql testsuite build failures.
  * debian/control: set maintainer as per spec.

 -- Chuck Short <email address hidden>   Thu, 08 Jan 2009 11:04:54 -0500
152 of 52 results